/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-26 11:09:49
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-04-29 16:24:05
 * @FilePath: \general-ai-platform-web\src\components\Tree\typing.ts
 * @Description: 树的类型文件
 */

// 增删改查基础树
export interface BaseTreeProps extends TreeProps {
  hideInAdd?: boolean; // 是否隐藏新增节点
  // hideInEdit?: boolean // 是否隐藏编辑节点
  hideInDelete?: boolean; // 是否隐藏删除节点
  hideInSearch?: boolean; // 是否隐藏筛选节点
  addRender?: React.ReactNode; // 新增操作自定义
  addText?: string | React.ReactNode; // 新增按钮文案自定义
  deleteRender?: React.ReactNode; // 删除操作自定义
  deleteText?: string | React.ReactNode; // 删除按钮文案自定义
}
// 节点树
export interface DeviceGroupTreeProps extends BaseTreeProps {
  addTreeNode?: (arg1: Record<string, any>) => void;
  selectTree: (arg1: any, arg2: any) => void;
}
