/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-28 15:30:31
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-05-10 15:03:03
 * @FilePath: \general-ai-platform-web\src\enums\device.ts
 * @Description: 节点、设备 枚举值
 */
// 节点设置模块
export const deviceGroupEnums: Record<string, any>[] = [
  {
    label: '设备列表',
    key: '1',
  },
  {
    label: '业务模型部署',
    key: '2',
  },
  {
    label: '告警设置',
    key: '3',
  },
];
// 设备状态
export const deviceStateEnums: DICTENUM.DICT_TAB_ITEM[] = [
  {
    label: '全部状态',
    key: '0',
  },
  {
    label: '在线',
    key: '1',
    className: 'online_info',
  },
  {
    label: '离线',
    key: '2',
    className: 'outline_info',
  },
  {
    label: '运行中',
    key: '3',
    className: 'process_info',
  },
  {
    label: '故障',
    key: '4',
    className: 'error_info',
  },
];

// 服务器状态详情
export const bsDeviceDetailEnums: DICTENUM.DICT_TAB_ITEM[] = [
  {
    label: '设备信息',
    key: '0',
  },
  {
    label: '设备日志',
    key: '1',
  },
];
