/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-25 15:45:31
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-04-29 14:44:39
 * @FilePath: \general-ai-platform-web\mock\pools\deviceGroupData.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-01-25 16:32:31
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-04-28 13:21:47
 * @FilePath: \general-ai-platform-web\mock\pools\deviceGroupData.ts
 * @Description: 节点设备设置
 */

// 设备组节点树
export const mockGetDeviceGroupSettingData = {
  data: [
    {
      name: '安徽省',
      id: '340000',
      groupList: [
        {
          name: '合肥市',
          id: '340100',
          groupList: [
            { name: '瑶海区', id: '340102', groupList: [] },
            { name: '庐阳区', id: '340103', groupList: [] },
            { name: '蜀山区', id: '340104', groupList: [] },
            { name: '包河区', id: '340111', groupList: [] },
            { name: '长丰县', id: '340121', groupList: [] },
            { name: '肥东县', id: '340122', groupList: [] },
            { name: '肥西县', id: '340123', groupList: [] },
            { name: '庐江县', id: '340124', groupList: [] },
            { name: '巢湖市', id: '340181', groupList: [] },
          ],
        },
        {
          name: '芜湖市',
          id: '340200',
          groupList: [
            { name: '镜湖区', id: '340202', groupList: [] },
            { name: '弋江区', id: '340203', groupList: [] },
            { name: '鸠江区', id: '340207', groupList: [] },
            { name: '三山区', id: '340208', groupList: [] },
            { name: '芜湖县', id: '340221', groupList: [] },
            { name: '繁昌县', id: '340222', groupList: [] },
            { name: '南陵县', id: '340223', groupList: [] },
            { name: '无为县', id: '340225', groupList: [] },
          ],
        },
        {
          name: '蚌埠市',
          id: '340300',
          groupList: [
            { name: '龙子湖区', id: '340302', groupList: [] },
            { name: '蚌山区', id: '340303', groupList: [] },
            { name: '禹会区', id: '340304', groupList: [] },
            { name: '淮上区', id: '340311', groupList: [] },
            { name: '怀远县', id: '340321', groupList: [] },
            { name: '五河县', id: '340322', groupList: [] },
            { name: '固镇县', id: '340323', groupList: [] },
          ],
        },
        {
          name: '淮南市',
          id: '340400',
          groupList: [
            { name: '大通区', id: '340402', groupList: [] },
            { name: '田家庵区', id: '340403', groupList: [] },
            { name: '谢家集区', id: '340404', groupList: [] },
            { name: '八公山区', id: '340405', groupList: [] },
            { name: '潘集区', id: '340406', groupList: [] },
            { name: '凤台县', id: '340421', groupList: [] },
            { name: '寿县', id: '340422', groupList: [] },
          ],
        },
        {
          name: '马鞍山市',
          id: '340500',
          groupList: [
            { name: '花山区', id: '340503', groupList: [] },
            { name: '雨山区', id: '340504', groupList: [] },
            { name: '博望区', id: '340506', groupList: [] },
            { name: '当涂县', id: '340521', groupList: [] },
            { name: '含山县', id: '340522', groupList: [] },
            { name: '和县', id: '340523', groupList: [] },
          ],
        },
        {
          name: '淮北市',
          id: '340600',
          groupList: [
            { name: '杜集区', id: '340602', groupList: [] },
            { name: '相山区', id: '340603', groupList: [] },
            { name: '烈山区', id: '340604', groupList: [] },
            { name: '濉溪县', id: '340621', groupList: [] },
          ],
        },
        {
          name: '铜陵市',
          id: '340700',
          groupList: [
            { name: '铜官区', id: '340705', groupList: [] },
            { name: '义安区', id: '340706', groupList: [] },
            { name: '郊区', id: '340711', groupList: [] },
            { name: '枞阳县', id: '340722', groupList: [] },
          ],
        },
        {
          name: '安庆市',
          id: '340800',
          groupList: [
            { name: '迎江区', id: '340802', groupList: [] },
            { name: '大观区', id: '340803', groupList: [] },
            { name: '宜秀区', id: '340811', groupList: [] },
            { name: '怀宁县', id: '340822', groupList: [] },
            { name: '潜山市', id: '340882', groupList: [] },
            { name: '太湖县', id: '340825', groupList: [] },
            { name: '宿松县', id: '340826', groupList: [] },
            { name: '望江县', id: '340827', groupList: [] },
            { name: '岳西县', id: '340828', groupList: [] },
            { name: '桐城市', id: '340881', groupList: [] },
          ],
        },
        {
          name: '滁州市',
          id: '341100',
          groupList: [
            { name: '琅琊区', id: '341102', groupList: [] },
            { name: '南谯区', id: '341103', groupList: [] },
            { name: '来安县', id: '341122', groupList: [] },
            { name: '全椒县', id: '341124', groupList: [] },
            { name: '定远县', id: '341125', groupList: [] },
            { name: '凤阳县', id: '341126', groupList: [] },
            { name: '天长市', id: '341181', groupList: [] },
            { name: '明光市', id: '341182', groupList: [] },
          ],
        },
        {
          name: '阜阳市',
          id: '341200',
          groupList: [
            { name: '颍州区', id: '341202', groupList: [] },
            { name: '颍东区', id: '341203', groupList: [] },
            { name: '颍泉区', id: '341204', groupList: [] },
            { name: '临泉县', id: '341221', groupList: [] },
            { name: '太和县', id: '341222', groupList: [] },
            { name: '阜南县', id: '341225', groupList: [] },
            { name: '颍上县', id: '341226', groupList: [] },
            { name: '界首市', id: '341282', groupList: [] },
          ],
        },
        {
          name: '宿州市',
          id: '341300',
          groupList: [
            { name: '埇桥区', id: '341302', groupList: [] },
            { name: '砀山县', id: '341321', groupList: [] },
            { name: '萧县', id: '341322', groupList: [] },
            { name: '灵璧县', id: '341323', groupList: [] },
            { name: '泗县', id: '341324', groupList: [] },
          ],
        },
        {
          name: '六安市',
          id: '341500',
          groupList: [
            { name: '金安区', id: '341502', groupList: [] },
            { name: '裕安区', id: '341503', groupList: [] },
            { name: '叶集区', id: '341504', groupList: [] },
            { name: '霍邱县', id: '341522', groupList: [] },
            { name: '舒城县', id: '341523', groupList: [] },
            { name: '金寨县', id: '341524', groupList: [] },
            { name: '霍山县', id: '341525', groupList: [] },
          ],
        },
        {
          name: '亳州市',
          id: '341600',
          groupList: [
            { name: '谯城区', id: '341602', groupList: [] },
            { name: '涡阳县', id: '341621', groupList: [] },
            { name: '蒙城县', id: '341622', groupList: [] },
            { name: '利辛县', id: '341623', groupList: [] },
          ],
        },
        {
          name: '池州市',
          id: '341700',
          groupList: [
            { name: '贵池区', id: '341702', groupList: [] },
            { name: '东至县', id: '341721', groupList: [] },
            { name: '石台县', id: '341722', groupList: [] },
            { name: '青阳县', id: '341723', groupList: [] },
          ],
        },
        {
          name: '宣城市',
          id: '341800',
          groupList: [
            { name: '宣州区', id: '341802', groupList: [] },
            { name: '郎溪县', id: '341821', groupList: [] },
            { name: '广德县', id: '341822', groupList: [] },
            { name: '泾县', id: '341823', groupList: [] },
            { name: '绩溪县', id: '341824', groupList: [] },
            { name: '旌德县', id: '341825', groupList: [] },
            { name: '宁国市', id: '341881', groupList: [] },
          ],
        },
        {
          name: '黄山市',
          id: '341000',
          groupList: [
            { name: '屯溪区', id: '341002', groupList: [] },
            { name: '黄山区', id: '341003', groupList: [] },
            { name: '徽州区', id: '341004', groupList: [] },
            { name: '歙县', id: '341021', groupList: [] },
            { name: '休宁县', id: '341022', groupList: [] },
            { name: '黟县', id: '341023', groupList: [] },
            { name: '祁门县', id: '341024', groupList: [] },
          ],
        },
      ],
    },

    {
      name: '江苏省',
      id: '320000',
      groupList: [
        {
          name: '南京市',
          id: '320100',
          groupList: [
            { name: '玄武区', id: '320102', groupList: [] },
            { name: '秦淮区', id: '320104', groupList: [] },
            { name: '建邺区', id: '320105', groupList: [] },
            { name: '鼓楼区', id: '320106', groupList: [] },
            { name: '浦口区', id: '320111', groupList: [] },
            { name: '栖霞区', id: '320113', groupList: [] },
            { name: '雨花台区', id: '320114', groupList: [] },
            { name: '江宁区', id: '320115', groupList: [] },
            { name: '六合区', id: '320116', groupList: [] },
            { name: '溧水区', id: '320117', groupList: [] },
            { name: '高淳区', id: '320118', groupList: [] },
          ],
        },
      ],
    },
  ],
};

export const mockGetDeviceGroupTreeData = {
  data: {
    tree: [
      {
        title: '南京节点',
        key: 1,
        children: [
          {
            title: '秦淮节点',
            key: 2,
            children: [],
          },
          {
            title: '江宁节点',
            key: 3,
            children: [],
          },
        ],
      },
      {
        title: '合肥节点',
        key: 4,
        children: [
          {
            title: '包河节点',
            key: 5,
            children: [],
          },
        ],
      },
    ],
  },
};

// 设备组列表分页
export const mockGetDeviceGroupListData = {
  data: {
    results: [
      {
        level: 1,
        id: '0001',
        createTime: '2023-10-17T10:43:31.254107+08:00',
        updateTime: '2023-10-17T10:45:25.030034+08:00',
        name: '上海节点',
        address: '中国上海市浦东新区申迪北路',
        fatherName: '无',
        fatherId: '',
        lon: 121.667987,
        lat: 31.144417,
        managerName: '刘芳',
        managerPhone: '16526365632',
        remark: '--',
        // TODO 完成设备节点列表数据的构建
      },
      {
        level: 1,
        id: '0002',
        createTime: '2023-10-17T10:43:31.254107+08:00',
        updateTime: '2023-10-17T10:45:25.030034+08:00',
        name: '南京节点',
        code: 'DG00002',
        address: '江苏省南京市南京市栖霞区紫东路南京紫东国际创意园', // 地址
        telephone: '12345',
        lon: '118.914349', // 经度
        lat: '32.086019', // 纬度
        managerName: '张三',
        managerPhone: '111111111',
        isEnable: true,
        parentFkId: 0,
        remark: '',
        children: [
          {
            level: 2,
            id: '20001',
            createTime: '2023-10-17T13:37:31.758471+08:00',
            updateTime: '2023-10-17T13:39:31.530494+08:00',
            name: '秦淮节点',
            code: 'DG00003',
            address: '江苏省南京市秦淮区中山南路79号',
            telephone: '',
            lon: '118.791819',
            lat: '32.045002',
            managerName: '',
            managerPhone: '',
            isEnable: true,
            parentFkId: 1,
            remark: '',
            children: null,
          },
          {
            level: 2,
            id: '20002',
            createTime: '2023-10-17T13:40:28.823372+08:00',
            updateTime: '2023-10-17T13:40:28.823372+08:00',
            name: '江宁节点',
            code: 'DG00004',
            address: '江苏省南京市经济技术开发区双龙大道1680号',
            telephone: '',
            lon: '118.824682',
            lat: '31.937062',
            managerName: '',
            managerPhone: '',
            isEnable: true,
            parentFkId: 1,
            remark: '',
            children: null,
          },
        ],
      },
    ],
    count: 2,
    page: 1,
    pageSize: 10,
  },
};

/** 未启用 */
// 设备组节点选项列表
export const mockGetDeviceGroupFkSelectData = {
  data: {
    list: [
      {
        name: '南京节点',
        id: 1,
      },
      {
        name: '秦淮节点',
        id: 2,
      },
      {
        name: '江宁节点',
        id: 3,
      },
      {
        name: '安徽节点',
        id: 4,
      },
      {
        name: '合肥节点',
        id: 5,
      },
    ],
  },
};

// 设备组详情
export const mockGetDeviceGroupData1 = {
  data: {
    deviceGroup: {
      id: 2,
      createTime: '2023-10-17T13:37:31.758471+08:00',
      updateTime: '2023-10-17T13:39:31.530494+08:00',
      name: '秦淮节点',
      code: 'DG00003',
      address: '江苏省南京市秦淮区中山南路79号',
      telephone: '',
      lon: '118.791819',
      lat: '32.045002',
      managerName: '',
      managerPhone: '',
      isEnable: true,
      parentFkId: 1,
      remark: '',
      children: null,
      key: '',
    },
  },
};
export const mockGetDeviceGroupData2 = {
  data: {
    deviceGroup: {
      id: 3,
      createTime: '2023-10-17T13:40:28.823372+08:00',
      updateTime: '2023-10-17T13:40:28.823372+08:00',
      name: '江宁节点',
      code: 'DG00004',
      address: '江苏省南京市经济技术开发区双龙大道1680号',
      telephone: '',
      lon: '118.824682',
      lat: '31.937062',
      managerName: '',
      managerPhone: '',
      isEnable: true,
      parentFkId: 1,
      remark: '',
      children: null,
      key: '',
    },
  },
};
export const mockGetDeviceGroupData3 = {
  data: {
    deviceGroup: {
      id: 5,
      createTime: '2023-10-17T15:05:13.542992+08:00',
      updateTime: '2023-10-17T15:08:01.071315+08:00',
      name: '合肥节点',
      code: 'DG00006',
      address: '安徽省合肥市包河区马鞍山路130号',
      telephone: '',
      lon: '117.309214',
      lat: '31.862594',
      managerName: '',
      managerPhone: '',
      isEnable: true,
      parentFkId: 4,
      remark: '',
      children: null,
      key: '',
    },
  },
};

// 节点信息
export const mockGetNodeInfo = [
  {
    name: '南京中山陵',
    address: '中国江苏省南京市玄武区明孝陵路1号',
    fatherName: '南京',
    fatherId: 'NJ002',
    lon: 118.835383,
    lat: 32.036853,
    managerName: '赵刚',
    managerPhone: '025-8443 5328',
    remark: '中山陵是中国江苏省南京市的一处著名纪念建筑，是国父孙中山的陵墓。',
  },
  {
    name: '南京总统府',
    address: '中国江苏省南京市玄武区长江路292号',
    fatherName: '南京',
    fatherId: 'NJ003',
    lon: 118.796492,
    lat: 32.054979,
    managerName: '陈霞',
    managerPhone: '025-8462 3951',
    remark:
      '南京总统府是中国南京市玄武区长江路292号的一座历史建筑，是中华民国时期南京国民政府的办公地点。',
  },
  {
    name: '东方明珠塔',
    address: '中国上海市浦东新区陆家嘴环路1号',
    fatherName: '上海',
    fatherId: 'SH004',
    lon: 121.506377,
    lat: 31.239722,
    managerName: '王静',
    managerPhone: '021-5879 1888',
    remark: '东方明珠塔是位于中国上海市浦东陆家嘴金融贸易区的一座电视塔，是上海的标志性建筑之一。',
  },
  {
    name: '南京雨花台',
    address: '中国江苏省南京市雨花台区雨花路78号',
    fatherName: '南京',
    fatherId: 'NJ004',
    lon: 118.748754,
    lat: 31.997532,
    managerName: '张磊',
    managerPhone: '025-5275 0088',
    remark: '雨花台是中国江苏省南京市雨花台区的一个丘陵，也是南京市的一个知名旅游景点。',
  },
  {
    name: '上海科技馆',
    address: '中国上海市浦东新区世纪大道2000号',
    fatherName: '上海',
    fatherId: 'SH005',
    lon: 121.537235,
    lat: 31.216444,
    managerName: '周洋',
    managerPhone: '021-6854 6916',
    remark: '上海科技馆是位于中国上海市浦东新区的一座科技展示馆，是上海市的科普教育基地之一。',
  },
  {
    name: '南京中华门',
    address: '中国江苏省南京市秦淮区中华门',
    fatherName: '南京',
    fatherId: 'NJ005',
    lon: 118.790325,
    lat: 32.046384,
    managerName: '李明',
    managerPhone: '025-8357 8845',
    remark: '中华门是中国江苏省南京市秦淮区的一处历史古迹，是南京古城墙的门。',
  },
  {
    name: '上海外滩观景台',
    address: '中国上海市黄浦区中山东一路20号',
    fatherName: '上海',
    fatherId: 'SH006',
    lon: 121.489562,
    lat: 31.240737,
    managerName: '王红',
    managerPhone: '021-5879 8901',
    remark: '上海外滩观景台位于上海市黄浦区外滩20号，是游览上海外滩天际线的最佳地点之一。',
  },
  {
    name: '南京中山陵石象路',
    address: '中国江苏省南京市玄武区石象路',
    fatherName: '南京',
    fatherId: 'NJ006',
    lon: 118.835168,
    lat: 32.041867,
    managerName: '刘军',
    managerPhone: '025-8463 2211',
    remark: '南京中山陵石象路是中国江苏省南京市玄武区的一条道路，沿路有许多历史建筑和景点。',
  },
  {
    name: '上海豫园',
    address: '中国上海市黄浦区安仁街137号',
    fatherName: '上海',
    fatherId: 'SH007',
    lon: 121.492783,
    lat: 31.227565,
    managerName: '张艳',
    managerPhone: '021-6328 8888',
    remark: '上海豫园是位于上海市黄浦区的一座古典式园林，是上海市的主要旅游景点之一。',
  },
];
