/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-05-08 09:42:31
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-05-09 14:18:48
 * @FilePath: \general-ai-platform-web\src\components\Button\src\textButton.tsx
 * @Description: 文字按钮
 */
import React from 'react';
import { TextButtonProps } from '../typing';
import './button.less';
const TextButton: React.FC<TextButtonProps> = (props) => {
  const { buttonLabel } = props;
  return (
    <span
      className={`text_btn_box ${props?.buttonType === 'danger' ? 'text_active_2' : ''} ${
        props?.buttonType === 'primary' ? 'text_primary' : ''
      }`}
    >
      {buttonLabel}
    </span>
  );
};

export default TextButton;
