/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-19 17:10:21
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-05-09 14:07:59
 * @FilePath: \general-ai-platform-web\src\components\Button\typing.ts
 * @Description: 按钮类型
 */
export interface CommButtonProps extends ButtonProps {
  prevIcon?: React.ReactNode;
  buttonLabel: string | React.ReactNode;
}

export interface TextButtonProps extends ButtonProps {
  buttonLabel: string | React.ReactNode;
  buttonType: 'danger' | 'primary' | 'default' | undefined;
}
