/*
 * @Author: zhoux zhouxia@supervision.ltd
 * @Date: 2023-11-01 13:56:33
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-05-10 15:34:33
 * @FilePath: \general-ai-platform-web\src\locales\zh-CN\device.ts
 * @Description: 设备相关
 */
// 节点设置
export const device_group: { [key: string]: string } = {
  'device_group.tree_node.name': '节点名称',
  'device_group.tree_node.rule.required.name': '请填写节点名称',
  'device_group.tree_node.fatherName': '上级节点',
  'device_group.tree_node.lon': '经度',
  'device_group.tree_node.lat': '纬度',
  'device_group.tree_node.address': '地址',
  'device_group.tree_node.lonlat': '经纬度',
  'device_group.tree_node.managerName': '负责人',
  'device_group.tree_node.managerPhone': '联系方式',
  'device_group.tree_node.remark': '简介',
  'device_group.tree_node.createForm.add': '新建节点',
  // 未启用
  'device_group.table.list.id': 'ID',
  'device_group.table.list.name': '分组名称',
  'device_group.table.list.code': '分组代码',
  'device_group.table.list.address': '地址',
  'device_group.table.list.telephone': '电话',
  'device_group.table.list.lon': '经度',
  'device_group.table.list.lat': '纬度',
  'device_group.table.list.managerName': '负责人姓名',
  'device_group.table.list.managerPhone': '负责人联系方式',
  'device_group.table.list.isEnable': '是否启用',
  'device_group.table.list.parentFkId': '父节点',
  'device_group.table.list.remark': '备注',
  'device_group.table.list.createTime': '创建时间',
  'device_group.table.list.updateTime': '更新时间',
  'device_group.table.rule.required.name': '分组名称为必填项',
  'device_group.table.rule.required.code': '分组代码为必填项',
  'device_group.table.rule.required.managerName': '负责人姓名为必填项',
  'device_group.table.rule.required.managerPhone': '负责人联系方式为必填项',
  'device_group.table.rule.required.parentFkId': '父节点为必填项',
  'device_group.table.list.add': '新建设备分组',
  'device_group.table.list.update': '更新设备分组',
  'device_group.table.list.treeAdd': '添加根节点',
};

export const device_group_list: { [key: string]: string } = {
  'device_group_list.table.list.name': '设备名称',
  'device_group_list.table.list.rule.required.name': '请填写设备名称',
  'device_group_list.table.list.deviceSite': '设备位置',
  'device_group_list.table.list.deviceType': '设备分类',
  'device_group_list.table.list.deviceModel': '设备型号',
  'device_group_list.table.list.deviceParams': '设备参数',
  'device_group_list.table.list.remark': '备注',
  'device_group_list.table.list.isEnable': '模型部署',
  'device_group_list.table.list.deployed.isEnable': '已部署',
  'device_group_list.table.list.undeployed.isEnable': '未部署',
  'device_group_list.table.list.action.setModel': '基础模型配置',
  'device_group_list.table.list.action.new': '新建设备',
  'device_group_list.table.list.action.deviceType': '设备分类',
  'device_group_list.table.list.add': '新建设备',
  'device_group_list.table.list.action.setDeviceType': '新建设备分类',
  // 未启用
  'device_group_list.table.list.code': '设备代码',
  'device_group_list.table.list.position': '位置',
  'device_group_list.table.list.param': '设备参数',
  'device_group_list.table.list.spec': '设备规格',
  'device_group_list.table.list.categoryFkId': '设备类别',
  'device_group_list.table.list.groupFkId': '设备分组',
  'device_group_list.table.list.createTime': '创建时间',
  'device_group_list.table.list.updateTime': '更新时间',
  'device_group_list.table.rule.required.name': '设备名称为必填项',
  'device_group_list.table.rule.required.code': '设备代码为必填项',
  'device_group_list.table.list.update': '更新设备',
};

// 设备状态
export const device_state: { [key: string]: string } = {
  'device_state.table.form.groupName': '设备组',
  'device_state.table.form.deviceType': '设备分类',
  'device_state.table.form.name': '设备名称',
  'device_state.table.form.remark': '备注',
  // 日志
  'device_state.table.stateLog.list.ip': '设备IP',
  'device_state.table.stateLog.list.runTime': '默认端口',
  'device_state.table.stateLog.list.updateTime': '更新时间',

  'device_state.table.detail.echarts.used': '已占用',
  'device_state.table.detail.echarts.free': '未占用',
  'device_state.table.detail.echarts.kindName': '名称',
  'device_state.table.detail.title.params': '基础信息',
  'device_state.table.detail.title.info': '硬件信息',
  'device_state.table.detail.title.task': '当前任务',
};
