/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-25 15:39:42
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-05-10 17:11:56
 * @FilePath: \general-ai-platform-web\src\services\testApi\device.ts
 * @Description: 设备api
 */
// @ts-ignore
/* eslint-disable */
import { request } from '@umijs/max';

/** 节点下设备分页列表 */
export async function getDeviceListByGroup(
  body: Record<string, any>, //
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: API.PageResult; msg?: string }>(
    `/api/device/listByGroup`,
    {
      method: 'GET',
      headers: {
        'Content-Type': 'application/json',
      },
      params: {
        ...body,
      },
      ...(options || {}),
    },
  );
}

/** 节点下设备分页列表 */
export async function getAllDeviceList(
  body: Record<string, any>, //
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: API.PageResult; msg?: string }>(`/api/device/allDevice`, {
    method: 'GET',
    headers: {
      'Content-Type': 'application/json',
    },
    params: {
      ...body,
    },
    ...(options || {}),
  });
}
