export const formatTreeValByKey = (
  key: string,
  node: Record<string, any>,
  fieldNames?: string,
): any => {
  if (fieldNames && Object.keys(fieldNames).includes(key)) {
    return node[fieldNames[key]];
  }
  if (Object.keys(node).includes(key)) {
    return node[key];
  }
  return null;
};
