/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-24 10:11:48
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-04-24 10:17:21
 * @FilePath: \general-ai-platform-web\src\utils\forApi.ts
 * @Description: 这是接口层和业务层的转换工具方法集
 */

/**
 * @判断接口数据是否成功返回
 * @param result 接口返回数据
 * @returns boolean
 */
export function isSuccessApi(result: API.API_COMMON_DATA): boolean {
  const { meta } = result;
  if (meta.code < 300 && meta.code >= 200) {
    return true;
  }
  return false;
}
